package cn.com.qmth.stmms.admin.dto;

import cn.com.qmth.stmms.biz.exam.model.ExamSubject;
import cn.com.qmth.stmms.biz.user.model.User;
import cn.com.qmth.stmms.common.annotation.ExcelField;

public class SubjectViewerDTO {

    @ExcelField(title = "课程代码", align = 2, sort = 10)
    private String subjectCode;

    @ExcelField(title = "课程名称", align = 2, sort = 20)
    private String subjectName;

    @ExcelField(title = "登录名", align = 2, sort = 30)
    private String loginName;

    @ExcelField(title = "姓名", align = 2, sort = 40)
    private String name;

    public SubjectViewerDTO(User user, ExamSubject subject) {
        setSubjectCode(subject.getCode());
        setSubjectName(subject.getName());
        setLoginName(user.getLoginName());
        setName(user.getName());
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

}
